Server-Monitoring
GET https://peaknode.de/api/server-monitors/
curl --request GET \
--url 'https://peaknode.de/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://peaknode.de/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Das Feld, in dem gesucht wird. Erlaubte Werte: name, target. |
| is_enabled | Optional Boolean | |
| project_id | Optional Integer | |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime, last_log_datetime |
| datetime_start | Optional String | Ergebnisse ab diesem Zeitpunkt filtern. Format Y-m-d H:i:s. |
| datetime_end | Optional String | Ergebnisse bis zu diesem Zeitpunkt filtern. Format Y-m-d H:i:s. |
| order_by | Optional String | Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name. |
| order_type | Optional String | Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Integer | Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standard: 1. |
| results_per_page | Optional Integer | Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard: 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-13 13:50:01",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://peaknode.de/api/server-monitors?page=1",
"last": "https://peaknode.de/api/server-monitors?page=1",
"next": null,
"prev": null,
"self": "https://peaknode.de/api/server-monitors?page=1"
}
}
GET https://peaknode.de/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-13 13:50:01",
"last_datetime": null
}
}
POST https://peaknode.de/api/server-monitors
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| target | Erforderlich String | - |
| project_id | Optional Integer | - |
| notifications | Optional Array | IDs der Benachrichtigungskanäle |
| server_check_interval_seconds | Optional Integer | Erlaubte Werte: 60, 300, 600, 900, 1800 (Sekunden) |
| alert_metric[key] | Optional String | Erlaubte Werte: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Optional String | Erlaubte Werte: is_higher, is_lower |
| alert_value[key] | Optional String | Erlaubte Werte: 1-99 |
| alert_trigger[key] | Optional String | Erlaubte Werte: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://peaknode.de/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://peaknode.de/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": "Example",
"network_download": "Example",
"network_total_upload": "Example",
"network_upload": "Example",
"os_name": null,
"os_version": null,
"kernel_name": null,
"kernel_version": null,
"kernel_release": null,
"cpu_architecture": null,
"cpu_model": null,
"cpu_cores": "Example",
"cpu_frequency": "Example",
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-13 13:50:01",
"last_datetime": null
}
}
POST https://peaknode.de/api/server-monitors/{server_monitor_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| target | Erforderlich String | - |
| project_id | Optional Integer | - |
| notifications | Optional Array | IDs der Benachrichtigungskanäle |
| server_check_interval_seconds | Optional Integer | Erlaubte Werte: 60, 300, 600, 900, 1800 (Sekunden) |
| alert_metric[key] | Optional String | Erlaubte Werte: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Optional String | Erlaubte Werte: is_higher, is_lower |
| alert_value[key] | Optional String | Erlaubte Werte: 1-99 |
| alert_trigger[key] | Optional String | Erlaubte Werte: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-10-13 13:50:01",
"last_datetime": null
}
}
DELETE https://peaknode.de/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://peaknode.de/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \